#pragma once

#include <JuceHeader.h>
#include "OpenGL/WindowOpenGLContext.h"
#include "Widget.h"

//==============================================================================
/*
    This component lives inside our window, and this is where you should put all
    your controls and content.
*/
class MainComponent  : public juce::Component
{
public:
    //==============================================================================
    MainComponent();
    ~MainComponent() override;

    //==============================================================================
    void paint (juce::Graphics&) override;
    void resized() override;

private:
    //==============================================================================
    // Your private member variables go here...

    WindowOpenGLContext windowOpenGLContext;
    
    juce::TextButton buttonAddWidget {"Add widget"};
    juce::TextButton buttonRemoveWidget {"Remove widget"};
    
    std::vector<std::unique_ptr<Widget>> widgets;

    JUCE_DECLARE_NON_COPYABLE_WITH_LEAK_DETECTOR (MainComponent)
};
