/*
  ==============================================================================

    Widget.h
    Created: 28 Aug 2020 10:27:04am
    Author:  Jelle

  ==============================================================================
*/

#pragma once

#include <JuceHeader.h>
#include "OpenGL/GraphComponent.h"

class Widget : public juce::Component
{
public:
    Widget(WindowOpenGLContext& windowOpenGLContext) : graphComponent(std::make_shared<GraphComponent>(windowOpenGLContext), windowOpenGLContext)
    {
        addAndMakeVisible(*graphComponent.get());
    }
    
    void resized() override
    {
        graphComponent.get()->setBounds(getLocalBounds());
    }
    
private:
    WindowOpenGLContext::OpenGLRendererOwner<GraphComponent> graphComponent;
};
